LINUX.ORG.RU

gtk+/gtk2 и slackpkg


0

0

$cat /etc/slackpkg/mirrors
ftp://ftp.chg.ru/pub/Linux/Slackware/slackware-current/

$cat /etc/slackpkg/blacklist
kernel-ide
kernel-modules
kernel-source
kernel-headers
aaa_elflibs
alsa-oss
alsa-lib
alsa-driver
alsa-utils
x11
x11-devel
x11-docs-html

#slackpkg upgrade ... ok

grep -R "gtk" /var/log/packages/ | grep pkg
/var/log/packages/gtk+-1.2.10-i386-3:usr/lib/pkgconfig/gtk+.pc
/var/log/packages/sgml-tools-1.0.9-i486-12:usr/lib/pkgconfig/gtk-doc.pc
/var/log/packages/gtk+2-2.8.18-i486-1:usr/lib/pkgconfig/gtk+-2.0.pc
/var/log/packages/gtk+2-2.8.18-i486-1:usr/lib/pkgconfig/gtk+-x11-2.0.pc
/var/log/packages/mozilla-1.7.5-i486-1:usr/lib/pkgconfig/mozilla-gtkmozembed.pc
/var/log/packages/gedit-2.6.1-i486-1:usr/lib/pkgconfig/gtksourceview-1.0.pc
/var/log/packages/ghex-2.6.1-i486-1:usr/lib/pkgconfig/gtkhex.pc
/var/log/packages/gtk-engines-2.2.0-i486-5:usr/lib/pkgconfig/gtk-engines-2.pc
/var/log/packages/libgtkhtml-2.6.2-i486-1:usr/lib/pkgconfig/libgtkhtml-2.0.pc

#slackpkg upgrade gtk+2 ... ok
#slackpkg upgrade cairo ... ok
cd /tmp/gqview-2.1.0
./configure
..
checking for GTK+ - version >= 2.4.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error: GTK+ >= 2.4.0 not installed.

Что нужно слинковать?

еще

mozilla
....
/usr/lib/mozilla-1.7.5/mozilla-bin: symbol lookup error: /usr/lib/libgdk-x11-2.0.so.0: undefined symbol: g_intern_static_string

grep -R "gdk" /var/log/packages/ | grep pkg
/var/log/packages/gtk+-1.2.10-i386-3:usr/lib/pkgconfig/gdk.pc
/var/log/packages/imlib-1.9.15-i486-1:usr/lib/pkgconfig/imlibgdk.pc
/var/log/packages/gtk+2-2.8.18-i486-1:usr/lib/pkgconfig/gdk-pixbuf-xlib-2.0.pc
/var/log/packages/gtk+2-2.8.18-i486-1:usr/lib/pkgconfig/gdk-2.0.pc
/var/log/packages/gtk+2-2.8.18-i486-1:usr/lib/pkgconfig/gdk-x11-2.0.pc
/var/log/packages/gtk+2-2.8.18-i486-1:usr/lib/pkgconfig/gdk-pixbuf-2.0.pc

slackpkg upgrade gtk+

Looking for gtk+ in package list. Please, wait... DONE

No packages match the pattern for upgrade. Try:

/usr/sbin/slackpkg install|reinstall gtk+

ну gtk+ не изменилась.

slackpkg upgrade imlib

Looking for imlib in package list. Please, wait... DONE

No packages match the pattern for upgrade. Try:

/usr/sbin/slackpkg install|reinstall imlib

тоже

не пойму, в чем дело

★★★

Re: gtk+/gtk2 и slackpkg

все. разобрался. слишком сильно грепил ;)

Все спасибо, все равно.

ESTAF ★★★ ()
Ответ на: Re: gtk+/gtk2 и slackpkg от ESTAF

Re: gtk+/gtk2 и slackpkg

Запомни раз и навсегда. Если обновляешь из каррента gtk+2, с ним обнови и atk, cairo, glib2, pango. Они работают в связке друг с другом.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.